%define l7vs_moddir	%{_libdir}/l7vs
%define l7vs_logdir	%{_localstatedir}/log/l7vs
%define l7vsadm_sockdir	%{_localstatedir}/run/l7vs
%define l7vs_maxvs	64

Summary: The Layer-7 Virtual Server
Name: ultramonkey-l7
Version: 2.1.3
Release: 1
License: LGPLv2
Group: System Environment/Daemons
URL: http://ultramonkey-l7.sourceforge.jp/
Source0: %{name}-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel
BuildRequires: boost-devel
Requires: boost
AutoReqProv: no

%description
Layer-7 load balancer daemon

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
%configure \
	--with-l7vs-moddir=%{l7vs_moddir} \
	--with-l7vs-logdir=%{l7vs_logdir} \
	--with-l7vsadm-sockdir=%{l7vsadm_sockdir} \
	--with-l7vs-maxvs=%{l7vs_maxvs}
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall \
	l7vs_moddir=%{buildroot}%{l7vs_moddir} \
	l7vs_logdir=%{buildroot}%{l7vs_logdir} \
	l7vsadm_sockdir=%{buildroot}%{l7vsadm_sockdir}

# These files are unnecessary
rm -f ${RPM_BUILD_ROOT}%{l7vs_moddir}/*.la
rm -f ${RPM_BUILD_ROOT}%{l7vs_moddir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add l7vsd
chkconfig --add l7directord

%preun
if [ $1 = 0 ]; then
	/sbin/service l7directord stop > /dev/null 2>&1
	/sbin/service l7vsd stop > /dev/null 2>&1
	chkconfig --del l7vsd
	chkconfig --del l7directord
fi

%files
%defattr(-, root, root, 0755)
%{_sbindir}/*
%{l7vs_moddir}/*
%{_sysconfdir}/rc.d/init.d/*
%dir %{l7vs_moddir}
%dir %{l7vs_logdir}
%config(noreplace) %{_sysconfdir}/l7vs/*
%config(noreplace) %{_sysconfdir}/ha.d/*
%dir %{_sysconfdir}/l7vs
%dir %{_sysconfdir}/ha.d
%dir %{l7vsadm_sockdir}
%doc %{_docdir}/%{name}-%{version}-%{release}
%doc %{_mandir}/man*/*

%changelog
* Sat Aug 22 2009 TATEISHI Katsuyuki <kt@wheel.jp> 2.1.3-0
- Update for 2.1.3-0

* Thu Aug  6 2009 TATEISHI Katsuyuki <kt@wheel.jp> 2.1.2-2atfix
- rpmlint free
